List Split Payment History
GETTag: api-paas-get-all-split-payments-pix-historyDescription: Retrieve a list of split payment history records. Use optional filter parameters to refine your search./split-payments/pix/history
Request
Query Parameters
Default value: 1
Page number.
Possible values: <= 100
Default value: 20
Page size. Max size is 100.
Possible values: [created_at]
Page sort attribute.
Possible values: [asc, desc]
Default value: asc
Page order.
Possible values: [PENDING, PROCESSING, READY, FAILED]
Filter by split payment state.
Filter by deposit end-to-end ID.
Filter by split end-to-end ID.
Filter by deposit ID.
Filter by split operation ID.
Filter by transaction ID (txId) from QR Code.
Header Parameters
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
Responses
- 200
- 400
- 401
- 422
The split payment history returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Page number.
Page size.
Page total.
Total of elements.
data object[]required
Split payment history data.
Split payment history ID.
Original deposit ID.
Deposit end-to-end ID.
Split payment end-to-end ID.
Split operation ID.
Transaction ID from QR Code.
Payer name.
Possible values: [NATURAL_PERSON, LEGAL_PERSON]
Payer person type.
Payer document (CPF/CNPJ).
Payer branch.
Payer account number.
Possible values: [CACC, CASH, CHAR, CISH, COMM, CPAC, LLSV, LOAN, MGLD, MOMA, NREX, ODFT, ONDP, OTHR, SACC, SLRY, SVGS, TAXE, TRAN, TRAS, CC, PG, CD, CG, CI, PP, PI]
Payer account type.
Payer bank ISPB.
Possible values: [NATURAL_PERSON, LEGAL_PERSON]
Recipient person type.
Recipient name.
Recipient document (CPF/CNPJ).
Recipient bank ISPB.
Recipient branch.
Recipient account number.
Possible values: [CACC, CASH, CHAR, CISH, COMM, CPAC, LLSV, LOAN, MGLD, MOMA, NREX, ODFT, ONDP, OTHR, SACC, SLRY, SVGS, TAXE, TRAN, TRAS, CC, PG, CD, CG, CI, PP, PI]
Recipient account type.
Total deposit amount in R$ cents.
Split amount in R$ cents.
Possible values: [PERCENTUAL, ABSOLUTE]
Split type.
Split value (percentage or absolute cents).
Possible values: [PENDING, PROCESSING, READY, FAILED]
Split payment state.
Error returned when split payment failed.
Code error returned when split payment failed.
Split pix payments history creation date.
Split pix payments history last update date.
{
"page": 1,
"page_size": 20,
"page_total": 20,
"total": 100,
"data": [
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"deposit_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"deposit_end_to_end_id": "E1234567820240101120000000000001",
"split_end_to_end_id": "E1234567820240101120000000000002",
"split_operation_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"txid": "txid1234567890abcde",
"payer_name": "John Doe",
"payer_person_type": "LEGAL_PERSON",
"payer_document": "***456789**",
"payer_branch": "0001",
"payer_account_number": "12345678",
"payer_account_type": "CACC",
"payer_bank_ispb": "26264220",
"recipient_person_type": "NATURAL_PERSON",
"recipient_name": "Jane Doe",
"recipient_document": "***456789**",
"recipient_bank_ispb": "26264220",
"recipient_branch": "0001",
"recipient_account_number": "87654321",
"recipient_account_type": "CACC",
"total_deposit_amount": 10000,
"split_amount": 5000,
"split_type": "PERCENTUAL",
"split_value": 50,
"state": "READY",
"failed_message": "Could not process your request. Please try again.",
"failed_code": "NOT_ENOUGH_AVAILABLE_LIMIT",
"created_at": "2026-05-29T19:41:20.828Z",
"updated_at": "2026-05-29T19:41:20.828Z"
}
]
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.